#ruby -Ks
require 'phi'
require "dialogs"

form = Phi::Form.new

def ask( msg )
   Phi.message_dlg( msg, Phi::MT_CUSTOM, [Phi::MB_YES,Phi::MB_NO] ) == Phi::MR_YES
end

form.on_close_query=proc{
  if ask("終了して良いですか？")
##  if (form.querying_end_session) or ask("終了して良いですか？")
    ## 終了処理 ##
    ret = true
  else
    ret = false
  end
  ret
}

form.show
Phi.mainloop
